public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/openipmi/
Date: Fri, 12 Nov 2021 02:09:09 +0000 (UTC)	[thread overview]
Message-ID: <1636682720.01a65de313bb3395db66c48ea56c5dbde98bef1b.sam@gentoo> (raw)

commit:     01a65de313bb3395db66c48ea56c5dbde98bef1b
Author:     Hasso Tepper <hasso <AT> zone <DOT> ee>
AuthorDate: Tue Oct 26 12:28:34 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 12 02:05:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01a65de3

sys-libs/openipmi: 2.0.31

Signed-off-by: Hasso Tepper <hasso <AT> zone.ee>
Closes: https://github.com/gentoo/gentoo/pull/22712
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/openipmi/Manifest               |   1 +
 sys-libs/openipmi/openipmi-2.0.31.ebuild | 101 +++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/sys-libs/openipmi/Manifest b/sys-libs/openipmi/Manifest
index 4628288dee8..027683c7970 100644
--- a/sys-libs/openipmi/Manifest
+++ b/sys-libs/openipmi/Manifest
@@ -1 +1,2 @@
 DIST OpenIPMI-2.0.29.tar.gz 3119530 BLAKE2B 5c60b04e828699c396cb7ce29dca7665109d7b39c3d64535fafdca328c01eab0af9cc4d7fd1a30aa254836f6ce10a16e491fb7239777dc4d57edc65c20998504 SHA512 ff23aadfe4b9002574d1f06dda3d61f7a03ef1df2c61855516b7d67bd6d3272c53af74e3412e1045242dcb845f50b7c542083e918805c0efac424dd86e720a10
+DIST OpenIPMI-2.0.31.tar.gz 3129097 BLAKE2B 477d3c7abe0d04b3aa949b36c78ca149d92f4cea379e5be22a2718367f2fb3edac4d8487dd95bdf25b54b9c8c8d8d4ba1582b7bc65e416a8f1745b2790f405d7 SHA512 de1b364315e97daffb4c601bcf3bf33591795449d71690496ae368bd0730a117c1716508ecaddef5d55498f56e73481a32f509791185e80e2475667d7abd73e7

diff --git a/sys-libs/openipmi/openipmi-2.0.31.ebuild b/sys-libs/openipmi/openipmi-2.0.31.ebuild
new file mode 100644
index 00000000000..c0f0d7d5c08
--- /dev/null
+++ b/sys-libs/openipmi/openipmi-2.0.31.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="Library interface to IPMI"
+HOMEPAGE="https://sourceforge.net/projects/openipmi/"
+MY_PN="OpenIPMI"
+MY_P="${MY_PN}-${PV/_/-}"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="crypt snmp perl python static-libs tcl"
+S="${WORKDIR}/${MY_P}"
+RESTRICT='test'
+
+RDEPEND="
+	dev-libs/glib:2
+	sys-libs/gdbm:=
+	sys-libs/ncurses:0=
+	sys-libs/readline:0=
+	crypt? ( dev-libs/openssl:0= )
+	snmp? ( net-analyzer/net-snmp )
+	perl? ( dev-lang/perl:= )
+	python? ( ${PYTHON_DEPS} )
+	tcl? ( dev-lang/tcl:0= )"
+DEPEND="${RDEPEND}
+	>=dev-lang/swig-1.3.21"
+BDEPEND="virtual/pkgconfig"
+
+# Gui is broken!
+#		python? ( tcl? ( tk? ( dev-lang/tk dev-tcltk/tix ) ) )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-2.0.26-tinfo.patch" #501510
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Bug #298250: parallel install fix.
+	sed -r -i \
+		-e '/^install-data-local:/s,$, install-exec-am,g' \
+		cmdlang/Makefile.{am,in} || die
+
+	# We touch the .in and .am above because if we use the below, the Perl stuff
+	# is very fragile, and often fails to link.
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=(
+		# these binaries are for root!
+		--bindir="${EPREFIX}"/usr/sbin
+		--with-glib
+		--with-glibver=2.0
+		--with-swig
+		--without-tkinter
+		$(use_with snmp ucdsnmp yes)
+		$(use_with crypt openssl yes)
+		$(use_with perl perl yes)
+		$(use_with tcl tcl yes)
+		$(use_with python python yes)
+	)
+
+	# GUI is broken
+	#use tk && use python && use !tcl && \
+	#	ewarn "Not building Tk GUI because it needs both Python AND Tcl"
+	#if use python && use tcl; then
+	#	myconf+=( $(use_with tk tkinter) )
+	#else
+	#	myconf+=( --without-tkinter )
+	#fi
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc README* FAQ ChangeLog TODO doc/IPMI.pdf lanserv/README.vm
+	newdoc cmdlang/README README.cmdlang
+
+	use python && python_optimize
+
+	find "${ED}" -name "*.la" -delete || die
+	if ! use static-libs ; then
+		find "${ED}" -name "*.a" -delete || die
+	fi
+}


             reply	other threads:[~2021-11-12  2:09 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-12  2:09 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-15  9:19 [gentoo-commits] repo/gentoo:master commit in: sys-libs/openipmi/ Arthur Zamarin
2024-11-14  3:21 Sam James
2024-10-05 12:42 Sam James
2024-06-19  5:24 Arthur Zamarin
2024-05-29 12:15 Sam James
2024-05-28 22:01 Sam James
2024-05-28 20:49 Sam James
2024-05-28 17:01 Sam James
2024-05-28 17:01 Sam James
2024-05-12 12:29 Conrad Kostecki
2023-09-14  5:27 WANG Xuerui
2023-03-09  6:27 Sam James
2023-03-09  6:27 Sam James
2023-03-04 22:30 Jakov Smolić
2023-03-04  9:59 Arthur Zamarin
2023-03-04  6:20 Arthur Zamarin
2023-03-04  6:17 Arthur Zamarin
2023-03-04  5:53 Arthur Zamarin
2023-01-31 10:41 Jakov Smolić
2022-09-25  4:32 Sam James
2022-08-17 16:21 Matt Turner
2022-06-06  6:34 Jakov Smolić
2022-02-25 18:38 Sam James
2022-02-19 14:41 Arthur Zamarin
2022-02-19 13:41 Arthur Zamarin
2022-02-19 13:22 Jakov Smolić
2022-02-19 13:15 Jakov Smolić
2022-02-19  8:56 Arthur Zamarin
2022-02-08  6:35 Sam James
2022-02-08  2:02 Sam James
2021-11-12  2:09 Sam James
2021-07-06 20:31 Georgy Yakovlev
2020-10-09  8:31 Agostino Sarubbo
2020-10-03  9:16 Sergei Trofimovich
2020-10-01 23:06 Sergei Trofimovich
2020-09-29  7:03 Conrad Kostecki
2020-08-19 20:00 Sam James
2020-06-15 13:41 Lars Wendler
2020-05-16  9:47 Georgy Yakovlev
2020-05-07 17:58 Michał Górny
2020-05-07 14:07 Lars Wendler
2019-11-08 14:02 Andreas K. Hüttel
2019-05-26 11:27 Mikle Kolyada
2019-05-26 11:27 Mikle Kolyada
2019-05-26  7:04 Sergei Trofimovich
2019-05-24 22:08 Sergei Trofimovich
2019-04-02 13:25 Lars Wendler
2019-03-08 20:56 Lars Wendler
2019-03-08 20:56 Lars Wendler
2019-01-08  9:48 Lars Wendler
2018-12-23 12:01 Lars Wendler
2018-04-17 14:00 Lars Wendler
2018-01-04 11:21 Lars Wendler
2018-01-04 11:21 Lars Wendler
2018-01-04 10:57 Lars Wendler
2017-04-01 16:06 Agostino Sarubbo
2017-03-31 12:09 Agostino Sarubbo
2017-03-31  7:39 Michael Weber
2017-03-29  1:19 Jeroen Roovers
2017-03-28 11:03 Lars Wendler
2017-03-28 11:03 Lars Wendler
2016-12-05 16:23 Lars Wendler
2016-10-15  7:18 Jeroen Roovers
2016-07-31  8:33 Lars Wendler
2016-04-25  7:33 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636682720.01a65de313bb3395db66c48ea56c5dbde98bef1b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox